part of 'range_of_aqi_bloc.dart';

sealed class RangeOfAqiEvent extends Equatable {
  const RangeOfAqiEvent();

  @override
  List<Object> get props => [];
}

class LoadRangeOfAqiEvent extends RangeOfAqiEvent {
  const LoadRangeOfAqiEvent(this.param);

  final GetRangeOfAqiParam param;

  @override
  List<Object> get props => [param];
}

class UpdateAqiTypeEvent extends RangeOfAqiEvent {
  const UpdateAqiTypeEvent(this.aqiType);

  final AqiType aqiType;

  @override
  List<Object> get props => [aqiType];
}

class ClearRangeOfAqiEvent extends RangeOfAqiEvent {
  const ClearRangeOfAqiEvent();
}
